#jinja2: trim_blocks: True, lstrip_blocks: True
{{ ansible_managed | comment }}

{#  a certbot acme challenge

    # the acme challenge proxy port
    item.port: int | d(certbot_http_01_port)
    # the access log format
    item.access_log_format: string | d('main')
    # disable the access log
    item.no_access_log: bool | d('no')
-#}

location = /.well-known/acme-challenge/ {
    return 404;
}

location ^~ /.well-known/acme-challenge/ {
    default_type text/plain;
    proxy_pass http://127.0.0.1:{{ item.port | d(certbot_http_01_port | mandatory) }};

    error_log {{ nginx_logdir }}/certbot-acme.error_log warn;
    {% if not item.no_access_log | d('no') | bool %}
    access_log {{ nginx_logdir }}/certbot-acme.access_log {{ item.access_log_format | d('main') }};
    {% endif %}
}
